library ieee;
use ieee.std_logic_1164.all;

entity mux1x4_8b is
  port(we: in std_logic_vector(7 downto 0);
       adr: in std_logic_vector(1 downto 0);
       wy0, wy1, wy2, wy3: out std_logic_vector(7 downto 0));
end mux1x4_8b;

architecture mux1x4_8b_arch of mux1x4_8b is
begin
  process(we, adr)
  begin
    if adr = "00" then
      wy0 <= we;
      wy1 <= "00000000";
      wy2 <= "00000000";
      wy3 <= "00000000";
    elsif adr = "01" then
      wy0 <= "00000000";
      wy1 <= we;
      wy2 <= "00000000";
      wy3 <= "00000000";
    elsif adr = "10" then
      wy0 <= "00000000";
      wy1 <= "00000000";
      wy2 <= we;
      wy3 <= "00000000";
    else
      wy0 <= "00000000";
      wy1 <= "00000000";
      wy2 <= "00000000";
      wy3 <= we;
    end if;
  end process;
end mux1x4_8b_arch;

