library ieee;
use ieee.std_logic_1164.all;

entity mux3x1_2b is
  port(we0, we1, we2: in std_logic_vector(1 downto 0);
       adr: in std_logic_vector(1 downto 0);
       wy: out std_logic_vector(1 downto 0));
end mux3x1_2b;

architecture mux3x1_2b_arch of mux3x1_2b is
begin
  with adr select
    wy <= we0 when "00", we1 when "01", we2 when others;
end mux3x1_2b_arch;

